Межсайтовый скриптинг в cms-db

Дата публикации:
28.12.2009
Всего просмотров:
1270
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
cms-db 0.x
Уязвимые версии: cms-db 0.7.13, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в свойстве "langcode" класса LocalizingClass. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Примеры:
http://[host]/admin/index.php?locale=[code]
http://[host]/blogfeed.php?l=[code]

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "saved" в сценарии admin/users.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов перед выполнением некоторых действий. Удаленный пользователь может произвести CSRF нападение и добавить или удалить пользователей и изменить некоторые настройки.

URL производителя: cms-db.de

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.exploit-db.com/exploits/10648

или введите имя

CAPTCHA